litmuspaper

mobile.applyPngFilter bug?

Discussion created by litmuspaper on Sep 8, 2011
Latest reply on Sep 8, 2011 by khutchins-esristaff
I have  a mobile map application that was using version 2.2 compact.  When I upgraded to version 2.4 compact I started seeing "Security Error 1000 in compat.xd.js" in Firefox (version 6 with Firebug).  The code snippet seems to show that mobile.applyPngFilter() call is triggering this error.  But, it's a bit difficult to get good line numbers from the "compiled" javascript.  Firefox throws that error when it thinks there is a cross domain violation or some other bad thing.

The error seems to only happen for me at start up.  It shows up with version 2.3 and 2.4 compact, but not before.  It seems to also trigger another exception, but neither seem to be causing me any real trouble at run time.

Outcomes